# Deprecated API

## Contents

- Methods

Methods
org.apache.sling.commons.threads.jmx.ThreadPoolMBean.getMaxThreadAge(): Since version 1.1.1 always returns -1 as threads are no longer retired but instead the thread locals are cleaned up (SLING-6261)
org.apache.sling.commons.threads.ModifiableThreadPoolConfig.setMaxThreadAge​(long): Since version 3.4.0 should no longer be called, as threads are no longer retired but instead the thread locals are cleaned up (SLING-6261)
org.apache.sling.commons.threads.ThreadPoolConfig.getMaxThreadAge(): Since version 3.4.0 always returns -1 as threads are no longer retired but instead the thread locals are cleaned up (SLING-6261)